> For the complete documentation index, see [llms.txt](https://developers.bloomcredit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.bloomcredit.io/reference/v2.1/furnishment-api/consumer-events/create-consumer-event.md).

# Create Consumer Event

This endpoint is used to create various consumer events. All events are optional, but one, and only one, event must be provided. Within each event there are required attributes.

Supported events:

* `bankruptcy_filed`: Create a bankruptcy filed event. Starts the bankruptcy process.
* `bankruptcy_reaffirmed`: Create a new consumer bankruptcy reaffirmed event. It is an agreement that accounts in question will be paid in full or partially.
* `bankruptcy_removal`: Bankruptcy voluntarily dismissed by consumer.
* `bankruptcy_reaffirm_rescinded`: Bankruptcy has been rescinded by court ruling.
* `bankruptcy_discharged`: Bankruptcy has been discharged and debts have been forgiven. Successfully completes the bankruptcy process.

WARNING: Any bankruptcy event for a consumer will remove all authorized users from the consumer's accounts. If the bankruptcy is reversed, the authorized users will need to be added back to the accounts.

```json
{"openapi":"3.1.0","info":{"title":"Furnishment API","version":"2.0"},"tags":[{"name":"Consumer Events"}],"servers":[{"description":"Furnishment sandbox server, for testing purposes (v2)","url":"https://sandbox.bloom.dev"},{"description":"Furnishment server","url":"https://api.bloomcredit.io"},{"description":"Production Consumer Permissioned Data server","url":"https://api.bloomplus.com"},{"description":"Development Consumer Permissioned Data server","url":"https://api.bloomplus.dev"}],"security":[{"Oauth2ClientCredentials":[]}],"components":{"securitySchemes":{"Oauth2ClientCredentials":{"flows":{"clientCredentials":{"scopes":{"furnishment:all":"Manage accounts."},"tokenUrl":"https://authn.bloomcredit.dev/oauth2/token"}},"type":"oauth2"}},"schemas":{"Request_ConsumerEvent_":{"description":"    ","properties":{"data":{"$ref":"#/components/schemas/RequestData_ConsumerEvent_"}},"required":["data"],"title":"Request[ConsumerEvent]","type":"object"},"RequestData_ConsumerEvent_":{"description":"    ","properties":{"attributes":{"$ref":"#/components/schemas/ConsumerEventsBase"},"id":{"title":"Id","type":"string"},"relationships":{"additionalProperties":{"$ref":"#/components/schemas/RequestRelationshipModel"},"title":"Relationships","type":"object"},"type":{"enum":["ConsumerEvent"],"title":"Type","type":"string"}},"required":["type","attributes"],"title":"RequestData[ConsumerEvent]","type":"object"},"ConsumerEventsBase":{"properties":{"consumer_events":{"$ref":"#/components/schemas/ConsumerEvents"}},"required":["consumer_events"],"title":"ConsumerEventsBase","type":"object"},"ConsumerEvents":{"properties":{"bankruptcy_confirm":{"$ref":"#/components/schemas/BankruptcyConfirmedEvent"},"bankruptcy_discharged":{"$ref":"#/components/schemas/BankruptcyDischargedEvent"},"bankruptcy_filed":{"$ref":"#/components/schemas/BankruptcyFiledEvent"},"bankruptcy_reaffirm_rescinded":{"$ref":"#/components/schemas/BankruptcyReaffirmedRescindedEvent"},"bankruptcy_reaffirmed":{"$ref":"#/components/schemas/BankruptcyReaffirmedEvent"},"bankruptcy_removal":{"$ref":"#/components/schemas/BankruptcyRemovalEvent"}},"title":"ConsumerEvents","type":"object"},"BankruptcyConfirmedEvent":{"properties":{"effective_date":{"format":"date","title":"Effective Date","type":"string"},"reverse":{"title":"Reverse","type":"boolean"},"reversed_on":{"format":"date","title":"Reversed On","type":"string"}},"title":"BankruptcyConfirmedEvent","type":"object"},"BankruptcyDischargedEvent":{"properties":{"effective_date":{"format":"date","title":"Effective Date","type":"string"},"reverse":{"title":"Reverse","type":"boolean"},"reversed_on":{"format":"date","title":"Reversed On","type":"string"}},"title":"BankruptcyDischargedEvent","type":"object"},"BankruptcyFiledEvent":{"properties":{"chapter":{"$ref":"#/components/schemas/BankruptcyChapter"},"effective_date":{"format":"date","title":"Effective Date","type":"string"},"reverse":{"title":"Reverse","type":"boolean"},"reversed_on":{"format":"date","title":"Reversed On","type":"string"}},"required":["chapter"],"title":"BankruptcyFiledEvent","type":"object"},"BankruptcyChapter":{"description":"An enumeration.","enum":["CHAPTER_7","CHAPTER_11","CHAPTER_12","CHAPTER_13"],"title":"BankruptcyChapter","type":"string"},"BankruptcyReaffirmedRescindedEvent":{"properties":{"effective_date":{"format":"date","title":"Effective Date","type":"string"},"reverse":{"title":"Reverse","type":"boolean"},"reversed_on":{"format":"date","title":"Reversed On","type":"string"}},"title":"BankruptcyReaffirmedRescindedEvent","type":"object"},"BankruptcyReaffirmedEvent":{"properties":{"effective_date":{"format":"date","title":"Effective Date","type":"string"},"partially_reaffirmed":{"default":false,"title":"Partially Reaffirmed","type":"boolean"},"reverse":{"title":"Reverse","type":"boolean"},"reversed_on":{"format":"date","title":"Reversed On","type":"string"}},"title":"BankruptcyReaffirmedEvent","type":"object"},"BankruptcyRemovalEvent":{"properties":{"effective_date":{"format":"date","title":"Effective Date","type":"string"},"reverse":{"title":"Reverse","type":"boolean"},"reversed_on":{"format":"date","title":"Reversed On","type":"string"}},"title":"BankruptcyRemovalEvent","type":"object"},"RequestRelationshipModel":{"properties":{"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifier"},{"items":{"$ref":"#/components/schemas/ResourceIdentifier"},"type":"array"}],"title":"Data"}},"title":"RequestRelationshipModel","type":"object"},"ResourceIdentifier":{"description":"https://jsonapi.org/format/#document-resource-identifier-objects","properties":{"id":{"title":"Id","type":"string"},"meta":{"title":"Meta","type":"object"},"type":{"title":"Type","type":"string"}},"required":["id","type"],"title":"ResourceIdentifier","type":"object"},"ConsumerEventRespBase":{"description":"    ","properties":{"data":{"$ref":"#/components/schemas/ResponseData_ConsumerEvent_"},"included":{"items":{},"title":"Included","type":"array"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"title":"Links","type":"object"},"meta":{"title":"Meta","type":"object"}},"required":["data"],"title":"ConsumerEventRespBase","type":"object"},"ResponseData_ConsumerEvent_":{"description":"    ","properties":{"attributes":{"allOf":[{"$ref":"#/components/schemas/ConsumerEventResponse"}],"default":{},"title":"Attributes"},"id":{"title":"Id","type":"string"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"title":"Links","type":"object"},"relationships":{"additionalProperties":{"$ref":"#/components/schemas/ResponseRelationshipModel"},"title":"Relationships","type":"object"},"type":{"enum":["ConsumerEvent"],"title":"Type","type":"string"}},"required":["id","type"],"title":"ResponseData[ConsumerEvent]","type":"object"},"ConsumerEventResponse":{"description":"A consumer event response","properties":{"addresses":{"items":{"anyOf":[{"$ref":"#/components/schemas/app__schemas__consumer_hub__models__Address"},{"$ref":"#/components/schemas/app__schemas__address__Address"}]},"title":"Addresses","type":"array"},"bankruptcy":{"$ref":"#/components/schemas/ConsumerEventBankruptcyResponse"},"dob":{"format":"date","title":"Dob","type":"string"},"first_name":{"title":"First Name","type":"string"},"generation_code":{"$ref":"#/components/schemas/GenerationCode"},"id":{"title":"Id"},"last_name":{"title":"Last Name","type":"string"},"middle_name":{"title":"Middle Name","type":"string"},"phone_numbers":{"anyOf":[{"items":{"$ref":"#/components/schemas/Phone"},"type":"array"},{"maxLength":10,"minLength":10,"pattern":"^[0-9]+$","type":"string"}],"title":"Phone Numbers"},"ssn":{"title":"Ssn","type":"string"}},"required":["first_name","last_name"],"title":"ConsumerEventResponse","type":"object"},"app__schemas__consumer_hub__models__Address":{"properties":{"city":{"title":"City","type":"string"},"countryCode":{"default":"US","title":"Countrycode","type":"string"},"hash":{"title":"Hash","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"line1":{"title":"Line1","type":"string"},"line2":{"title":"Line2","type":"string"},"normalized":{"$ref":"#/components/schemas/AddressNormalized"},"primary":{"title":"Primary","type":"boolean"},"stateCode":{"title":"Statecode","type":"string"},"zipcode":{"title":"Zipcode","type":"string"}},"required":["line1","city","stateCode","zipcode"],"title":"Address","type":"object"},"AddressNormalized":{"properties":{"city":{"title":"City","type":"string"},"line1":{"title":"Line1","type":"string"},"line2":{"title":"Line2","type":"string"},"stateCode":{"title":"Statecode","type":"string"},"zipcode":{"title":"Zipcode","type":"string"}},"required":["line1","city","stateCode","zipcode"],"title":"AddressNormalized","type":"object"},"app__schemas__address__Address":{"description":"An Address that has been inserted into the db, and therefore contains an ID","properties":{"address_type":{"$ref":"#/components/schemas/AddressType"},"city":{"title":"City","type":"string"},"country_code":{"default":"US","title":"Country Code","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"line1":{"title":"Line1","type":"string"},"line2":{"title":"Line2","type":"string"},"residence_type":{"$ref":"#/components/schemas/ResidenceType"},"state":{"$ref":"#/components/schemas/StateCode"},"suburb":{"title":"Suburb","type":"string"},"zip_code":{"pattern":"\\d{5,9}","title":"Zip Code","type":"string"}},"required":["line1","city","state","zip_code","id"],"title":"Address","type":"object"},"AddressType":{"description":"Status of the reported address belonging to the primary consumer on the account.\n\n- `CONFIRMED`: Confirmed/Verified address.\n    Note: reported one time once address is confirmed, after receiving an\n    address discrepancy notification from a consumer reporting agency.\n- `KNOWN`: Known to be address of primary consumer.\n- `NOT_CONFIRMED`: Not confirmed address.\n- `MILITARY`: Military address.\n- `SECONDARY`: Secondary address.\n- `BUSINESS`: Business address — not consumer's residence\n- `UNDELIVERABLE`: Non-deliverable address/Returned mail\n- `DEFAULT`: Data reporter's default address\n- `BILL_PAYER_SERVICE`: Bill Payer Service — not consumer's residence","enum":["CONFIRMED","KNOWN","NOT_CONFIRMED","MILITARY","SECONDARY","BUSINESS","UNDELIVERABLE","DEFAULT","BILL_PAYER_SERVICE"],"title":"AddressType","type":"string"},"ResidenceType":{"description":"Optional, if not available or unknown, do not report.\n\nAttributes:\n- `OWNS`\n- `RENTS`","enum":["OWNS","RENTS"],"title":"ResidenceType","type":"string"},"StateCode":{"description":"States and their respective codes.\n\n- `AL`: ALABAMA\n- `AK`: ALASKA\n- `AS`: AMERICAN_SAMOA\n- `AZ`: ARIZONA\n- `AR`: ARKANSAS\n- `CA`: CALIFORNIA\n- `CO`: COLORADO\n- `CT`: CONNECTICUT\n- `DE`: DELAWARE\n- `DC`: DISTRICT_OF_COLUMBIA\n- `FM`: FEDERATED_STATES_OF\n- `FL`: FLORIDA\n- `GA`: GEORGIA\n- `GU`: GUAM\n- `HI`: HAWAII\n- `ID`: IDAHO\n- `IL`: ILLINOIS\n- `IN`: INDIANA\n- `IA`: IOWA\n- `KS`: KANSAS\n- `KY`: KENTUCKY\n- `LA`: LOUISIANA\n- `ME`: MAINE\n- `MH`: MARSHALL_ISLANDS\n- `MD`: MARYLAND\n- `MA`: MASSACHUSETTS\n- `MI`: MICHIGAN\n- `PR`: MICRONESIA_PUERTO_RICO\n- `AE`: MILITARY_IN_EUROPE_MIDDLE_EAST_AFRICA_CANADA\n- `AA`: MILITARY_IN_THE_AMERICAS_OTHER_THAN_CANADA\n- `AP`: MILITARY_IN_THE_PACIFIC_THEATER\n- `MN`: MINNESOTA\n- `MS`: MISSISSIPPI\n- `MO`: MISSOURI\n- `MT`: MONTANA\n- `NE`: NEBRASKA\n- `NV`: NEVADA\n- `NH`: NEW_HAMPSHIRE\n- `NJ`: NEW_JERSEY\n- `NM`: NEW_MEXICO\n- `NY`: NEW_YORK\n- `MP`: NORTHERN_MARIANA_ISLANDS\n- `NC`: NORTH_CAROLINA\n- `ND`: NORTH_DAKOTA\n- `OH`: OHIO\n- `OK`: OKLAHOMA\n- `OR`: OREGON\n- `PW`: PALAU\n- `PA`: PENNSYLVANIA\n- `RI`: RHODE_ISLAND\n- `SC`: SOUTH_CAROLINA\n- `SD`: SOUTH_DAKOTA\n- `TN`: TENNESSEE\n- `TX`: TEXAS\n- `UT`: UTAH\n- `VT`: VERMONT\n- `VA`: VIRGINIA\n- `VI`: VIRGIN_ISLANDS\n- `WA`: WASHINGTON\n- `WV`: WESTVIRGINIA\n- `WI`: WISCONSIN\n- `WY`: WYOMING","enum":["AL","AK","AS","AZ","AR","CA","CO","CT","DE","DC","FM","FL","GA","GU","HI","ID","IL","IN","IA","KS","KY","LA","ME","MH","MD","MA","MI","PR","AE","AA","AP","MN","MS","MO","MT","NE","NV","NH","NJ","NM","NY","MP","NC","ND","OH","OK","OR","PW","PA","RI","SC","SD","TN","TX","UT","VT","VA","VI","WA","WV","WI","WY"],"title":"StateCode","type":"string"},"ConsumerEventBankruptcyResponse":{"description":"A response that includes the bankruptcy and the most recent event.","properties":{"chapter":{"$ref":"#/components/schemas/BankruptcyChapter"},"consumer_id":{"format":"uuid","title":"Consumer Id","type":"string"},"effective_date":{"format":"date-time","title":"Effective Date","type":"string"},"id":{"format":"uuid","title":"Id","type":"string"},"partially_reaffirmed":{"title":"Partially Reaffirmed","type":"boolean"},"reverse":{"title":"Reverse","type":"boolean"},"reversed_on":{"format":"date-time","title":"Reversed On","type":"string"},"status":{"$ref":"#/components/schemas/BankruptcyStatus"}},"required":["effective_date"],"title":"ConsumerEventBankruptcyResponse","type":"object"},"BankruptcyStatus":{"description":"An enumeration.","enum":["FILED","REMOVAL","DISCHARGED","REAFFIRMED","RESCINDED","CONFIRMED"],"title":"BankruptcyStatus","type":"string"},"GenerationCode":{"description":"An enumeration.","enum":["Jr","Sr","II","III","IV","V","VI","VII","VIII","IX"],"title":"GenerationCode","type":"string"},"Phone":{"properties":{"phoneNumber":{"title":"Phonenumber","type":"string"},"primary":{"title":"Primary","type":"boolean"},"type":{"title":"Type","type":"string"}},"title":"Phone","type":"object"},"LinkHref":{"properties":{"href":{"title":"Href","type":"string"},"meta":{"title":"Meta","type":"object"}},"required":["href","meta"],"title":"LinkHref","type":"object"},"ResponseRelationshipModel":{"properties":{"data":{"anyOf":[{"$ref":"#/components/schemas/ResourceIdentifier"},{"items":{"$ref":"#/components/schemas/ResourceIdentifier"},"type":"array"}],"title":"Data"},"links":{"additionalProperties":{"anyOf":[{"type":"string"},{"$ref":"#/components/schemas/LinkHref"}]},"title":"Links","type":"object"},"meta":{"title":"Meta","type":"object"}},"title":"ResponseRelationshipModel","type":"object"},"JSONAPIErrorResponse":{"properties":{"errors":{"items":{"$ref":"#/components/schemas/JSONAPIError"},"title":"Errors","type":"array"}},"required":["errors"],"title":"JSONAPIErrorResponse","type":"object"},"JSONAPIError":{"properties":{"detail":{"default":"","title":"Detail","type":"string"},"status":{"title":"Status","type":"integer"},"title":{"title":"Title","type":"string"}},"required":["title"],"title":"JSONAPIError","type":"object"}}},"paths":{"/v2/furnishment/consumers/{consumer_id}/events":{"post":{"description":"This endpoint is used to create various consumer events.\nAll events are optional, but one, and only one, event must be provided.\nWithin each event there are required attributes.\n\nSupported events:\n- `bankruptcy_filed`: Create a bankruptcy filed event. Starts the bankruptcy\nprocess.\n- `bankruptcy_reaffirmed`: Create a new consumer bankruptcy reaffirmed event.\nIt is an agreement that accounts in question will be paid in full or partially.\n- `bankruptcy_removal`: Bankruptcy voluntarily dismissed by consumer.\n- `bankruptcy_reaffirm_rescinded`: Bankruptcy has been rescinded by court ruling.\n- `bankruptcy_discharged`: Bankruptcy has been discharged and debts have been\nforgiven. Successfully completes the bankruptcy process.\n\nWARNING: Any bankruptcy event for a consumer will remove all authorized users\nfrom the consumer's accounts. If the bankruptcy is reversed, the authorized\nusers will need to be added back to the accounts.","operationId":"create_consumer_event_api_v1_consumers__consumer_id__events__post","parameters":[{"in":"path","name":"consumer_id","required":true,"schema":{"format":"uuid","title":"Consumer Id","type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Request_ConsumerEvent_"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConsumerEventRespBase"}}},"description":"Successful Response"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSONAPIErrorResponse"}}},"description":"Conflict detected from request. "},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JSONAPIErrorResponse"}}},"description":"Bad Request"}},"summary":"Create Consumer Event","tags":["Consumer Events"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.bloomcredit.io/reference/v2.1/furnishment-api/consumer-events/create-consumer-event.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
